/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.eclipse;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.xwiki.eclipse.rest.XWikiRESTClientTest;
import org.xwiki.eclipse.storage.RestRemoteXWikiDataStorageAdapterTest;
import org.xwiki.eclipse.storage.utils.StorageUtilsTest;

/**
 * @version $Id: 034b148a82b00cd28d817559ffc8af5cd5951432 $
 */
@RunWith(Suite.class)
@Suite.SuiteClasses({XWikiRESTClientTest.class, StorageUtilsTest.class, RestRemoteXWikiDataStorageAdapterTest.class})
public class AllTests
{

}
