/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 *
 */
package org.xwiki.eclipse.ui;

/**
 * @version $Id: 2249fead0e1f7f50b2fff3a6718109d7b65a03a8 $
 */
public class UIConstants
{
    public final static String DATA_MANAGER_ICON = "icons/data.manager.png";

    public final static String XWIKI_ICON = "icons/xwiki.png";

    public final static String SPACE_ICON = "icons/space.png";

    public final static String PAGE_ICON = "icons/page.png";

    public final static String PAGE_LOCALLY_AVAILABLE_ICON = "icons/page.locally.available.png";

    public static final String PAGE_CONFLICT_ICON = "icons/page.conflict.png";

    public static final String CLASS_ICON = "icons/class.png";

    public static final String TAGS_ICON = "icons/tags.png";

    public static final String TAG_ICON = "icons/tag.png";

    public static final String PAGE_ATTACHMENTS_ICON = "icons/page.attachments.png";

    public static final String PAGE_ATTACHMENT_ICON = "icons/page.attachment.png";

    public static final String PAGE_COMMENTS_ICON = "icons/page.comments.png";

    public static final String PAGE_COMMNENT_ICON = "icons/page.comment.png";

    public static final String PAGE_ANNOTATIONS_ICON = "icons/page.annotations.png";

    public static final String PAGE_ANNOTATION_ICON = "icons/page.annotation.png";

    public static final String OBJECT_COLLECTION_ICON = "icons/object.collection.png";

    public static final String OBJECT_ICON = "icons/object.png";

    public static final String OBJECT_LOCALLY_AVAILABLE_ICON = "icons/object.locally.available.png";

    public final static String CONFLICT_ICON = "icons/conflict.png";

    public final static String CONFLICT_BANNER = "icons/conflict.banner.png";

    public static final String SPACE_SETTINGS_BANNER = "icons/page.settings.banner.png";

    public static final String OBJECT_SETTINGS_BANNER = "icons/object.settings.banner.png";

    public final static String CONNECTION_SETTINGS_BANNER = "icons/connection.settings.banner.png";

    public static final String DATA_MANAGER_CONNECT_COMMAND = "org.xwiki.eclipse.ui.commands.DataManagerConnect";

    public static final String DATA_MANAGER_DISCONNECT_COMMAND = "org.xwiki.eclipse.ui.commands.DataManagerDisconnect";

    public static final String NEW_PAGE_COMMAND = "org.xwiki.eclipse.ui.commands.NewPage";

    public static final String NEW_OBJECT_COMMAND = "org.xwiki.eclipse.ui.commands.NewObject";

    public static final String NEW_COMMENT_COMMAND = "org.xwiki.eclipse.ui.commands.NewComment";

    public static final String NEW_TAG_COMMAND = "org.xwiki.eclipse.ui.commands.NewTag";

    public static final String REPLYTO_COMMENT_COMMAND = "org.xwiki.eclipse.ui.commands.ReplyToComment";

    public static final String DELETE_COMMAND = "org.xwiki.eclipse.ui.commands.Delete";

    public static final String DOWNLOAD_ATTACHMENT_COMMAND = "org.xwiki.eclipse.ui.commands.DownloadAttachment";

    public static final String UPDATE_ATTACHMENT_COMMAND = "org.xwiki.eclipse.ui.commands.UpdateAttachment";

    public static final String UPLOAD_ATTACHMENT_COMMAND = "org.xwiki.eclipse.ui.commands.UploadAttachment";

    public static final String REFRESH_COMMAND = "org.xwiki.eclipse.ui.commands.Refresh";

    public static final String RENAME_PAGE_COMMAND = "org.xwiki.eclipse.ui.commands.RenamePage";

    public static final String COPY_PAGE_COMMAND = "org.xwiki.eclipse.ui.commands.CopyPage";

    public static final String GRAB_SPACE_COMMAND = "org.xwiki.eclipse.ui.commands.GrabSpace";

    public static final String NAVIGATOR_VIEW_ID = "org.xwiki.eclipse.ui.views.Navigator";

}
